<?php 
$format = get_post_format();
$link = get_permalink( $post->ID ); 
$customlink = get_post_meta( $post->ID, 'link', true );
$link_url = get_post_meta( $post->ID, 'link-url', true );
$quote_author = get_post_meta( $post->ID, 'quote-author', true );
$quote_link = get_post_meta( $post->ID, 'quote-link', true );
$quote_copy = get_post_meta( $post->ID, 'quote-copy', true );
$args  = array( 'postid' => $post->ID, 'width' => 500, 'hide_href' => false, 'exclude_video' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '500auto' );
$image = get_obox_media($args); 
$thumb = get_post_meta( $post->ID, 'image', true );
$video = get_post_meta( $post->ID, 'video-embed', true );
$jplayer = get_post_meta( $post->ID, 'mpthree', true ); 
$audio = get_post_meta( $post->ID, 'audio', true ); 
$share_url = wp_get_shortlink();
$share_title = get_the_title($post->ID); 
?>

<?php if ( has_post_format( 'aside' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("Aside", "ocmx"); ?> </a>
 		<?php if($thumb !="") : ?>
        	<div class="post-image">
            	<img src="<?php bloginfo('template_directory'); ?>/functions/timthumb.php?src=<?php echo $thumb; ?>&amp;w=700&amp;h=394&amp;zc=1&amp;q=100&amp;a=tc" alt="<?php the_title(); ?>" />	
			</div>
		<?php elseif($image !="") : ?>
			<div class="post-image">
				<?php echo $image; ?>
			</div>
		<?php endif; ?>
 		<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
			<h4 class="date"><?php echo the_time( get_option( 'date_format' ) ); ?></h4>
		<?php endif; ?>
 		<h3 class="title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
 		<div class="copy">
     		<?php the_content(""); ?>
     	</div>
	</div>

<?php elseif ( has_post_format( 'image' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("Image", "ocmx"); ?> </a>
 		<?php if($thumb !="") : ?>
        	<div class="post-image">
            	<img src="<?php bloginfo('template_directory'); ?>/functions/timthumb.php?src=<?php echo $thumb; ?>&amp;w=700&amp;h=394&amp;zc=1&amp;q=100&amp;a=tc" alt="<?php the_title(); ?>" />	
			</div>
		<?php elseif($image !="") : ?>
			<div class="post-image">
				<?php echo $image; ?>
			</div>
		<?php endif; ?>
 		<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
			<h4 class="date"><?php echo the_time( get_option( 'date_format' ) ); ?></h4>
		<?php endif; ?>
        <h3 class="title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
     	<div class="copy">
     		<?php the_content(""); ?>
     	</div>
	</div>

<?php elseif ( has_post_format( 'link' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("link", "ocmx"); ?> </a>
 		<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
			<h4 class="date"><?php echo the_time( get_option( 'date_format' ) ); ?></h4>
		<?php endif; ?>
 		<div class="link-post-link">
 			<a href="<?php echo $customlink; ?>" target="_blank"><?php the_title(); ?></a>
		</div>
     	<div class="copy">
     		<?php the_content(""); ?>
     	</div>
	</div>

<?php elseif ( has_post_format( 'quote' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("Quote", "ocmx"); ?> </a>
 		<h4 class="date"><?php echo date_i18n('j M Y', strtotime($post->post_date)); ?></h4>
     	<div class="quote">
     		<blockquote>
     			<?php if($quote_copy !="") {echo $quote_copy;} else {echo the_content("");} ?> 
     		</blockquote>
     		<cite><a href="<?php if($quote_link !="") {echo $quote_link;} else {echo $customlink;} ?>" title="<?php the_title(); ?>"><?php if($quote_author !="") {echo $quote_author;} else {echo the_title();} ?></a></cite>
     	</div>
	</div>

<?php elseif ( has_post_format( 'video' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("Video", "ocmx"); ?> </a>
 		<?php if($video !="") : ?>
        	<div class="post-image">
				<?php echo $video; ?>
			</div>
 		<?php elseif($image !="") : ?>
			<div class="post-image">
				<?php echo $image; ?>
			</div>
		<?php endif; ?>
 		<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
			<h4 class="date"><?php echo the_time( get_option( 'date_format' ) ); ?></h4>
		<?php endif; ?>
     	<div class="copy">
     		<?php the_content(""); ?>
     	</div>
	</div>

<?php elseif ( has_post_format( 'audio' )) : ?>
<li class="post-container clearfix">		
	<div class="post post-<?php echo $format ?>"> 
 		<a class="post-type" href="<?php echo $link ?>"> <?php _e("Audio", "ocmx"); ?> </a>
		<div class="post-image">
			<?php if($image !="") {echo $image;}?>
		</div>
		<div class="audio-control">
		<?php if($jplayer !="" || $audio !="") : ?>
			<script type='text/javascript'>
				jQuery(document).ready(function($){ 
					jQuery("#jquery_jplayer_<?php echo $post->ID; ?>").jPlayer({
						ready: function () {
							$(this).jPlayer("setMedia", {
								<?php if( $jplayer !="") : ?>
									mp3 : "<?php echo $jplayer; ?>"
								<?php elseif ( $audio !="") : ?>
									mp3 : "<?php echo $audio; ?>"
								<?php endif; ?>
							})
						},
						cssSelectorAncestor : '#audio-player-<?php echo $post->ID; ?>',
						cssSelector : {
							play : '.jp-play',
							pause : '.jp-pause',
							stop : '.jp-stop'
						},
						volume: 50,
						swfPath : '<?php echo get_template_directory_uri(); ?>/scripts/',
						solution: 'html, flash',
						supplied : 'mp3',
						backgroundColor : 'transparent'
					});
				});
			</script>
		
			<div id="jquery_jplayer_<?php echo $post->ID; ?>" class="jplayer-embed"></div> 
	
			<div id="audio-player-<?php echo $post->ID; ?>" class="audio-player">
				<div class="play-pause">
					<a href="#" id="jplayer_play_<?php echo $post->ID; ?>" class="jp-play clearfix" tabindex="1"><?php _e("Play", "ocmx"); ?></a>
					<a href="#" id="jplayer_pause_<?php echo $post->ID; ?>" class="jp-pause clearfix" tabindex="1"><?php _e("Pause", "ocmx"); ?></a>
				</div>
				<div class="stop">
					<a href="#" id="jplayer_stop_<?php echo $post->ID; ?>" class="jp-stop" tabindex="1"><?php _e("Stop", "ocmx"); ?></a>
				</div>
			</div>
			
		<?php endif; ?>
        </div>
 		<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
			<h4 class="date"><?php echo the_time( get_option( 'date_format' ) ); ?></h4>
		<?php endif; ?>
 		<h3 class="title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
     	<div class="copy">
     		<?php the_content(""); ?>
     	</div>
	</div>

<?php else : ?>
<li class="post-container clearfix">		
	<div class="post"> 
 		<a class="post-type" href="<?php echo $link ?>"><?php if (is_page()) { _e("Page", "ocmx");} else { _e("Post", "ocmx"); } ?></a>
 		<?php if($image !='') : ?>
			<div class="post-image">
				<?php echo $image; ?>
			</div>
		<?php endif; ?>
 		<h4 class="date">
			<?php if( get_option( "ocmx_meta_date" ) != "false" ) {
                echo the_time( get_option( 'date_format' ) ); }
             if( get_option( "ocmx_meta_author" ) != "false" ) {
                _e(" by ", "ocmx"); the_author_link(); }
             ?>        
        </h4>
 		<h3 class="title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
     	<div class="copy">
     		<?php the_excerpt(""); ?>
              <div class="read-more"><a href="<?php echo $link ?>"> <?php _e("Read More", "ocmx"); ?> </a></div>
     	</div>
	</div>

<?php endif; ?>

	<ul class="post-meta">                        
        <li class="meta-block">
        	<?php if(has_tag() && get_option("ocmx_meta_tags") !="false") : ?>
                    <ul class="tags">
                        <li><strong><?php _e("Tags", "ocmx"); ?>:</strong></li><?php the_tags('<li>','</li><li>','</li>'); ?>
                    </ul>
            <?php endif; ?>
            <?php if( get_option("ocmx_meta_comments") !="false") : ?>
            	<a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__(' No Comments','ocmx'), __(' 1 Comment','ocmx'), __( ' % Comments','ocmx') );?></a>
			<?php endif; ?>
        </li>
		<?php if( get_option("ocmx_meta_social") !="false") : ?>
        <li class="meta-block social">
        	<!-- AddThis Button BEGIN. Customize at http://www.addthis.com-->
            <div class="addthis_toolbox addthis_default_style"
                addthis:url="<?php echo $share_url; ?>"
                addthis:title="<?php $share_title; ?>"> 
                    <a class="addthis_button_facebook_like"></a>
                    <a class="addthis_button_tweet"></a>
                    <a class="addthis_button_pinterest_pinit"></a>
                    <a class="addthis_counter addthis_pill_style"></a>
                </div>
            <script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=xa-507462e4620a0fff"></script>
            <!-- AddThis Button END -->
	    </li>
        <?php endif; ?>               
	</ul>
	<span class="shadow"></span>	
</li>
