<?php //OCMX Custom logo and Favicon

function ocmx_logo_register($wp_customize){
    
    $wp_customize->add_section('ocmx_general', array(
        'title'    => __('General Theme Settings', 'ocmx'),
        'priority' => 30,
    ));
    
   //Custom Colors
	
	$wp_customize->add_setting('ocmx_ignore_colours', array(
        'default'        => 'no',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
    ));

    $wp_customize->add_control('header_color_scheme', array(
        'label'      => __('Use Theme Default Color Scheme', 'ocmx'),
        'section'    => 'ocmx_general',
        'settings'   => 'ocmx_ignore_colours',
        'type'       => 'radio',
        'priority' => 0,
        'choices'    => array(
            'yes' => 'Yes',
            'no' => 'No'
        ),
    ));
 
    $wp_customize->add_setting('ocmx_custom_logo', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',

    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'ocmx_custom_logo', array(
        'label'    => __('Custom Logo', 'ocmx'),
        'section'  => 'ocmx_general',
        'settings' => 'ocmx_custom_logo',
    )));
    
    $wp_customize->add_setting('ocmx_custom_favicon', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',

    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'ocmx_custom_favicon', array(
        'label'    => __('Custom Favicon', 'ocmx'),
        'section'  => 'ocmx_general',
        'settings' => 'ocmx_custom_favicon',
    )));
    
}

add_action('customize_register', 'ocmx_logo_register');

// OCMX Color Options 

function ocmx_customize_register($wp_customize) {


	// Header Color Scheme
	$wp_customize->add_section('header_color_scheme', array(
		'title' => __( 'Header Color Scheme', 'ocmx' ),
		'priority' => 35,
		)
	);
	
	$wp_customize->add_setting( 'ocmx_header_background', array(
		'default' => '#333333',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_header_background', array(
		'label' => __( 'Header Background', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_header_background',
		'priority' => 1,
	)));
	
	
    $wp_customize->add_setting( 'ocmx_nav_links', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_nav_links', array(
		'label' => __( 'Navigation Links', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_nav_links',
		'priority' => 5,
	)));
	
	    $wp_customize->add_setting( 'ocmx_nav_links_hover', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_nav_links_hover', array(
		'label' => __( 'Navigation Links Hover', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_nav_links_hover',
		'priority' => 10,
	)));
	
	$wp_customize->add_setting( 'ocmx_navigation_hover', array(
		'default' => '#86C045',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_navigation_hover', array(
		'label' => __( 'Navigation Hover Background', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_navigation_hover',
		'priority' => 15,
	)));
	
	
	// Content Color Scheme
	$wp_customize->add_section('content_color_scheme', array(
		'title' => __( 'Content Color Scheme', 'ocmx' ),
		'priority' => 36
	));
	
	$wp_customize->add_setting( 'ocmx_post_type_link_color', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_post_type_link_color', array(
		'label' => __( 'Post Type Tab Link Color', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_post_type_link_color',
		'priority' => 1,
	)));
	
	$wp_customize->add_setting( 'ocmx_post_type_color', array(
		'default' => '#86C045',
		'type' => 'option',
		'capability' => 'manage_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_post_type_color', array(
		'label' => __( 'Post Type Tabs & Border', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_post_type_color',
		'priority' => 2,
	)));
	
	$wp_customize->add_setting( 'ocmx_post_titles_hover', array(
		'default' => '#333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_post_titles_hover', array(
		'label' => __( 'Post Titles Hover Color', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_post_titles_hover',
		'priority' => 3,
	)));
    
    $wp_customize->add_setting( 'ocmx_widget_titles_font_color', array(
		'default' => '#333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_widget_titles_font_color', array(
		'label' => __( 'Widget Titles', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_widget_titles_font_color',
		'priority' => 5,
	)));
	
	$wp_customize->add_setting( 'ocmx_body_links', array(
		'default' => '#86C045',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_body_links', array(
		'label' => __( 'General Link Color', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_body_links',
		'priority' => 6,
	)));
	
	$wp_customize->add_setting( 'ocmx_body_links_hover', array(
		'default' => '#000',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_body_links_hover', array(
		'label' => __( 'General Link Color Hover', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_body_links_hover',
		'priority' => 7,
	)));
	
	
	$wp_customize->add_setting( 'ocmx_post_meta', array(
		'default' => '#888',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_post_meta', array(
		'label' => __( 'Post Meta', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_post_meta',
		'priority' => 10,
	)));
	
	$wp_customize->add_setting( 'ocmx_buttons', array(
		'default' => '#333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_buttons', array(
		'label' => __( 'Button Color', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_buttons',
		'priority' => 15,
	)));
	
	$wp_customize->add_setting( 'ocmx_buttons_hover', array(
		'default' => '#86C045',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_buttons_hover', array(
		'label' => __( 'Button Hover Color', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_buttons_hover',
		'priority' => 16,
	)));
	
		
	
	// Footer Color Scheme
	$wp_customize->add_section('footer_color_scheme', array(
		'title' => __( 'Footer Color Scheme', 'ocmx' ),
		'priority' => 37,
		)
	);
	
	$wp_customize->add_setting( 'ocmx_footer_container', array(
		'default' => '#333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_container', array(
		'label' => __( 'Footer Container', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_container',
		'priority' => 35,
	)));
	
	$wp_customize->add_setting( 'ocmx_widget_footer_titles_font_color', array(
		'default' => '#fff',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_widget_footer_titles_font_color', array(
		'label' => __( 'Footer Widget Titles', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_widget_footer_titles_font_color',
		'priority' => 36,
	)));
	
	$wp_customize->add_setting( 'ocmx_footer_links', array(
		'default' => '#86C045',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_links', array(
		'label' => __( 'Footer Links', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_links',
		'priority' => 37,
	)));
	
	$wp_customize->add_setting( 'ocmx_footer_links_hover', array(
		'default' => '#fff',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_links_hover', array(
		'label' => __( 'Footer Links Hover', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_links_hover',
		'priority' => 38,
	)));
	
	$wp_customize->add_setting( 'ocmx_footer_text_color', array(
		'default' => '#595959',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_text_color', array(
		'label' => __( 'Footer Text Color', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_text_color',
		'priority' => 50,
	)));
	
	wp_reset_query();

//ADD JQUERY

if ( $wp_customize->is_preview() && ! is_admin() )
	add_action( 'wp_footer', 'ocmx_customize_preview', 21);
	
	function ocmx_customize_preview() {
	?>
	<script type="text/javascript">

	( function( $ ){
	
		wp.customize('ocmx_header_container',function( value ) {
			value.bind(function(to) {
				jQuery('#header-container').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_nav_links',function( value ) {
			value.bind(function(to) {
				jQuery('.page-menu a, .logo a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_nav_links_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.page-menu a:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_navigation_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.page-menu li:hover, .sub-menu li:hover').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_post_type_color',function( value ) {
			value.bind(function(to) {
				jQuery('a.post-type').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_post_type_color',function( value ) {
			value.bind(function(to) {
				jQuery('.post').css({'borderColor': to});
			});
		});
		
		wp.customize('ocmx_post_type_link_color',function( value ) {
			value.bind(function(to) {
				jQuery('a.post-type').css({'color': to});
			});
		});
		
		wp.customize('ocmx_post_titles_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.post h3.title a:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_widget_titles_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('#right-column .widget h4, #right-column .widget h4 a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_body_links',function( value ) {
			value.bind(function(to) {
				jQuery('.widget-list ul li a, .widget a, .copy a, .content a, .obox-credit a, .archives_list a, .comment-post a, .portfolio-category-list a, .tags li a, .logged-in-as a, .post-meta a, .post-quote blockquote').css({'color': to});
			});
		});
		
		wp.customize('ocmx_body_links_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.widget-list ul li hover, a:hover, .copy a:hover, .content a:hover, .obox-credit a:hover, .archives_list a:hover, .comment-post a:hover, .portfolio-category-list a:hover, .tags li a:hover, .logged-in-as a:hover, .post-meta a:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_post_meta',function( value ) {
			value.bind(function(to) {
				jQuery('.post h4.date, .comment h5.date, .logged-in-as, .post-meta').css({'color': to});
			});
		});
		
		
		wp.customize('ocmx_buttons',function( value ) {
			value.bind(function(to) {
				jQuery('.search-form input.search_button, input[type="button"], input[type="submit"], .slider .next, .slider .previous, .pagination a').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_buttons_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.search-button:hover, input[type="button"]:hover, input[type="submit"]:hover, .slider .next:hover, .slider .previous:hover, .pagination .next a:hover, .pagination .previous a:hover').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_footer_container',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_footer_text',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container, #footer, .footer-text p').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_links',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_link_hover',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container a:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_widget_title',function( value ) {
			value.bind(function(to) {
				jQuery('#footer h4, #footer h4 a').css({'color': to});
			});
		});
	
		
	} )( jQuery );
	</script>
<?php } 

//ADD POST MESSAGE

$wp_customize->get_setting('ocmx_header_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_nav_links')->transport='postMessage';
$wp_customize->get_setting('ocmx_nav_links_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_type_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_type_link_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_titles_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_widget_titles_font_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_meta')->transport='postMessage';
$wp_customize->get_setting('ocmx_body_links')->transport='postMessage';
$wp_customize->get_setting('ocmx_body_links_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_buttons')->transport='postMessage';
$wp_customize->get_setting('ocmx_buttons_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_links')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_link_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_widget_title')->transport='postMessage';
}
add_action( 'customize_register', 'ocmx_customize_register' );

function ocmx_add_query_vars($query_vars) {
	$query_vars[] = 'stylesheet';
	return $query_vars;
}
add_filter( 'query_vars', 'ocmx_add_query_vars' );
function ocmx_takeover_css() {
	    $style = get_query_var('stylesheet');
	    if($style == "custom") {
		    include_once(TEMPLATEPATH . '/style.php');
	        exit;
	    }
	}
add_action( 'template_redirect', 'ocmx_takeover_css');