<?php
class feature_posts_widget extends WP_Widget {
    /** constructor */
    function feature_posts_widget() {
        parent::WP_Widget(false, $name = "(Obox) Slider", array("description" => "Display fading posts and images from a speficic category"));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		global $post;
		
	    $use_category = $instance["post_category"];
		$display_limit = $instance["display_limit"];
		
		if(!($instance["post_category"])) :
			$use_catId = 0;
			$cat_title = "no";
		elseif($use_category != "0") :
			$use_cat = get_category_by_slug($use_category);
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		else :
			$cat_id = 0;
		endif;
		
	    $auto_interval = $instance["auto_interval"];
		
		$queryargs = array(
			'cat' => $cat_id,
			'showposts' => $display_limit
		);
		
		$ocmx_posts = new WP_Query($queryargs);
		//Set the post Aguments and Query accordingly
		$count = 1; ?>   
  	<div class="slider clearfix">
		<div class="feature clearfix">
			<ul class="gallery-container gallery-image">
	   			<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post(); 
	   				$args  = array( 'postid' => $post->ID, 'width' => 500, 'height' => 300, 'hide_href' => false, 'exclude_video' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '500x300' );
					$image = get_obox_media($args);?>
	                <li>
	 					<?php echo $image; ?>
	                </li>
	            <?php 
	                $count++;
	            endwhile; ?>
	        </ul>
        
        <div class="copy">
        	<?php $count=1;  ?>
            <ul>
                <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                    $this_post = get_post($post->ID);
                    $link = get_permalink($post->ID); ?>
                <li <?php if($count !== 1) : ?>class="no_display"<?php endif; ?>>
					
					<?php if($post->post_excerpt != "") :
						echo substr(strip_tags($this_post->post_excerpt), 0, 175);
					else :
						echo substr(strip_tags($this_post->post_content), 0, 175);
					endif; ?>
                </li>
                <?php 
                    $count++;
                endwhile; ?>
            </ul>
        </div>
        <div id="slider-number-<?php echo $use_category; ?>" class="no_display">0</div>
		<div id="slider-auto-<?php echo $use_category; ?>" class="no_display"><?php echo $auto_interval; ?></div>
	
		</div>
		
		<?php if($auto_interval == "0" || $auto_interval == "") : ?>
            <div class="controls">
                <a href="#" class="next">Next</a>
                <a href="#" class="previous">Previous</a>
            </div>
        <?php endif; ?>
	</div>
    
<?php

    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
	    if(isset($instance["title"]))
			$title = esc_attr($instance["title"]);
		if(isset($instance["hide_title"]))
	    	$hide_title = $instance["hide_title"];
	    if(isset($instance["display_limit"]))	
			$display_limit = $instance["display_limit"];
		if(isset($instance["use_gallery"]))
        	$use_gallery = esc_attr($instance["use_gallery"]); 
        if(isset($instance["auto_interval"]))
	    	$auto_interval = $instance["auto_interval"];
		if(isset($instance["post_category"]))
			$post_category = $instance["post_category"];
?>
           	
        <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Posts Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
                <option <?php if(isset($post_category) && $post_category == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories($category_args);
                        foreach($option_loop as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if($use_value == $instance["post_category"])
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
         <p><label for="<?php echo $this->get_field_id('display_limit'); ?>">Post Count</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('display_limit'); ?>" name="<?php echo $this->get_field_name('display_limit'); ?>">
                <?php for($i = 1; $i < 10; $i++) : ?>
                    <option <?php if($display_limit == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php endfor; ?>
            </select>
        </p>
            <p><label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php echo $auto_interval; ?>" /><br /><em>(Set to 0 for no auto-sliding)</em></label></p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>